### Function

# PangoFT2 render_layout

#### Declaration [src]

    void
    pango_ft2_render_layout (
      FT_Bitmap* bitmap,
      PangoLayout* layout,
      int x,
      int y
    )

#### Description [src]

Render a `PangoLayout` onto a FreeType2 bitmap.

#### Parameters

`bitmap`

  Type: `FT_Bitmap`

  A FT_Bitmap to render the layout onto.

  The data is owned by the caller of the function.

`layout`

  Type: `PangoLayout`

  A `PangoLayout`.

  The data is owned by the caller of the function.

`x`

  Type: `int`

  The X position of the left of the layout (in pixels).

`y`

  Type: `int`

  The Y position of the top of the layout (in pixels).